%define name ocaml-ao
%define version 0.2.0
%define release %mkrel 3

Summary:        OCaml bindings for libao
Name:           %{name}
Version:        %{version}
Release:        %{release}
Source0:        http://downloads.sourceforge.net/project/savonet/%{name}/%{version}/%{name}-%{version}.tar.gz
License:        GPLv2
Group:          Development/Other
Url:            http://savonet.sourceforge.net/

BuildRequires:  libao-devel
BuildRequires:  ocaml
BuildRequires:  ocaml-findlib


%description
OCaml bindings for the cross platform audio output library.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Requires:       libao-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q

%build
./configure --libdir=%{_libdir}
make all

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/ao
make install


%files
%doc COPYING CHANGES README
%dir %{_libdir}/ocaml/ao
%{_libdir}/ocaml/ao/META
%{_libdir}/ocaml/ao/*.cma
%{_libdir}/ocaml/ao/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%{_libdir}/ocaml/ao/*.a
%{_libdir}/ocaml/ao/*.cmxa
%{_libdir}/ocaml/ao/*.cmx
%{_libdir}/ocaml/ao/*.mli




%changelog

* Thu Nov 17 2011 malo <malo> 0.2.0-3.mga2
+ Revision: 168361
- missing Requires libao-devel
- spec clean-up

* Sun Oct 02 2011 shlomif <shlomif> 0.2.0-2.mga2
+ Revision: 151036
- Rebuild for the new ocaml - thanks to Malo

* Sun Sep 25 2011 shlomif <shlomif> 0.2.0-1.mga2
+ Revision: 147777
- imported package ocaml-ao

